I like this Rated 4 out of 5 stars

but whether it is time to upgrade to make it compatible with version 3.5?